<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <strong><font color="#A020F0">Expanded</font></strong> <a href="PIXEL_24.html"><font color="#008000">PIXEL_24</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Pixel on 24 bits."</font>;
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Insert</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_pixel</font></strong>:<a href="PIXEL.html"><font color="#008000">PIXEL</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Mapping</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">map_blue</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">map_green</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">map_red</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">blue</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">green</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">red</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_raw</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> :<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_color</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make_rgb</font></strong> (r,g,b:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>) <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">size</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>       :=  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">red_size</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>   := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">red_pos</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>    := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">green_size</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">green_pos</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>  := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">blue_size</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>  := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">blue_pos</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>   := 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">reserved_size</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> :=
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">reserved_pos</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>  :=
        
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_pixel_24</font></strong>:<a href="PIXEL_24.html"><font color="#008000">PIXEL_24</font></a> <- 
  













</body>
</html>

